Slackware: 2019-095-02: wget Security Update

    Date05 Apr 2019
    CategorySlackware
    759
    Posted ByLinuxSecurity Advisories
    New wget packages are available for Slackware 14.2 and -current to fix a security issue.
    
    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1
    
    [slackware-security]  wget (SSA:2019-095-02)
    
    New wget packages are available for Slackware 14.2 and -current to fix a
    security issue.
    
    
    Here are the details from the Slackware 14.2 ChangeLog:
    +--------------------------+
    patches/packages/wget-1.20.3-i586-1_slack14.2.txz:  Upgraded.
      Fixed a buffer overflow vulnerability:
      src/iri.c(do_conversion): Reallocate the output buffer to a larger
      size if it is already full.
      For more information, see:
        https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5953
      (* Security fix *)
    +--------------------------+
    
    
    Where to find the new packages:
    +-----------------------------+
    
    Thanks to the friendly folks at the OSU Open Source Lab
    (http://osuosl.org) for donating FTP and rsync hosting
    to the Slackware project!  :-)
    
    Also see the "Get Slack" section on http://slackware.com for
    additional mirror sites near you.
    
    Updated package for Slackware 14.2:
    ftp://ftp.slackware.com/pub/slackware/slackware-14.2/patches/packages/wget-1.20.3-i586-1_slack14.2.txz
    
    Updated package for Slackware x86_64 14.2:
    ftp://ftp.slackware.com/pub/slackware/slackware64-14.2/patches/packages/wget-1.20.3-x86_64-1_slack14.2.txz
    
    Updated package for Slackware -current:
    ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/n/wget-1.20.3-i586-1.txz
    
    Updated package for Slackware x86_64 -current:
    ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/n/wget-1.20.3-x86_64-1.txz
    
    
    MD5 signatures:
    +-------------+
    
    Slackware 14.2 package:
    36bef33c1ecdf60c119ff2ff30563ee0  wget-1.20.3-i586-1_slack14.2.txz
    
    Slackware x86_64 14.2 package:
    a5c96689a62c44e10181620043aecee0  wget-1.20.3-x86_64-1_slack14.2.txz
    
    Slackware -current package:
    81d20d99bdff70497bd78817a788226e  n/wget-1.20.3-i586-1.txz
    
    Slackware x86_64 -current package:
    7ffb5d4e4bacb134ae530d843150fff9  n/wget-1.20.3-x86_64-1.txz
    
    
    Installation instructions:
    +------------------------+
    
    Upgrade the package as root:
    # upgradepkg wget-1.20.3-i586-1_slack14.2.txz
    
    
    +-----+
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    Have you used our RSS feeds?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 4 answer(s).
    /component/communitypolls/?task=poll.vote&format=json
    21
    radio
    [{"id":"77","title":"Yes, for articles","votes":"0","type":"x","order":"1","pct":0,"resources":[]},{"id":"78","title":"Yes, for advisories","votes":"0","type":"x","order":"2","pct":0,"resources":[]},{"id":"79","title":"Hybrid that contains both","votes":"0","type":"x","order":"3","pct":0,"resources":[]},{"id":"80","title":"No","votes":"0","type":"x","order":"4","pct":0,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.